## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Avoid dependency loops:
#     fsspec -> distributed -> dask -> fsspec
#     fsspec -> gcsfs -> fsspec
#     fsspec -> zarr -> fsspec
%bcond bootstrap 0

%global srcname fsspec

Name:           python-%{srcname}
Version:        2025.3.2
%global tag     2025.3.2
Release:        %autorelease
Summary:        Specification for Pythonic file system interfaces

License:        BSD-3-Clause
URL:            https://github.com/fsspec/filesystem_spec
Source:         %{url}/archive/%{tag}/%{srcname}-%{tag}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
BuildRequires:  python3dist(pytest-mock)
BuildRequires:  python3dist(pytest-rerunfailures)
BuildRequires:  python3dist(cloudpickle)
%if %{without bootstrap}
BuildRequires:  python3dist(zarr)
%endif
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(lz4)
BuildRequires:  python3dist(notebook)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(python-snappy)
BuildRequires:  python3dist(zstandard)
BuildRequires:  fuse
BuildRequires:  git-core

%global _description %{expand:
Filesystem Spec is a project to unify various projects and classes to work with
remote filesystems and file-system-like abstractions using a standard pythonic
interface.}

%description %{_description}


%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%pyproject_extras_subpkg -n python3-%{srcname} arrow
%pyproject_extras_subpkg -n python3-%{srcname} dask
%pyproject_extras_subpkg -n python3-%{srcname} entrypoints
%pyproject_extras_subpkg -n python3-%{srcname} fuse
%if %{without bootstrap}
%pyproject_extras_subpkg -n python3-%{srcname} gcs
%endif
%pyproject_extras_subpkg -n python3-%{srcname} git
%pyproject_extras_subpkg -n python3-%{srcname} github
%if %{without bootstrap}
%pyproject_extras_subpkg -n python3-%{srcname} gs
%endif
%pyproject_extras_subpkg -n python3-%{srcname} hdfs
%pyproject_extras_subpkg -n python3-%{srcname} http
%pyproject_extras_subpkg -n python3-%{srcname} libarchive
%pyproject_extras_subpkg -n python3-%{srcname} sftp
%pyproject_extras_subpkg -n python3-%{srcname} smb
%pyproject_extras_subpkg -n python3-%{srcname} ssh
%pyproject_extras_subpkg -n python3-%{srcname} tqdm


%prep
%autosetup -n filesystem_spec-%{tag} -p1

%generate_buildrequires
# Skipped extras:
# - (when bootstrapping) gcs and gs: Don't have gcsfs
# - abfs and adl: Don't have adlfs
# - dropbox: Don't have dropboxdrivefs
# - gui: Don't have panel
# - oci: Don't have ocifs
# - s3: Don't have s3fs
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_buildrequires -x arrow,%{?!with_bootstrap:dask,gcs,gs,}entrypoints,fuse,git,github,hdfs,http,libarchive,sftp,smb,ssh,tqdm

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l %{srcname}

%check
# fuse tests fail on koji builders due to missing kernel modules
# test_async_cat_file_ranges uses the network; https://github.com/fsspec/filesystem_spec/pull/1734/files#r1893434370
# test_github.py tests require network
%{pytest} -vra \
  --deselect=fsspec/tests/test_fuse.py::test_basic \
  --deselect=fsspec/tests/test_fuse.py::test_chmod \
  --deselect=fsspec/tests/test_fuse.py::test_seek_rw \
  --deselect=fsspec/implementations/tests/test_reference.py::test_async_cat_file_ranges \
  --ignore=fsspec/implementations/tests/test_github.py


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Tue Apr 15 2025 Sandro <devel@penguinpee.nl> - 2025.3.2-1
- Update to 2025.3.2 (RHBZ#2343363)
- Close RHBZ#2359832

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2024.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Dec 20 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2024.12.0-1
- Update to latest version (#2333422)

* Wed Nov 27 2024 Richard W.M. Jones <rjones@redhat.com> - 2024.10.0-2
- Rebuild for libarrow 18

* Mon Nov 18 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2024.10.0-1
- Update to latest version (#2309741)

* Fri Oct 18 2024 Orion Poplawski <orion@nwra.com> - 2024.6.1-3
- Add all extras to %%pyproject_buildrequires -x

* Fri Oct 18 2024 Orion Poplawski <orion@nwra.com> - 2024.6.1-2
- Add extras sub-packages

* Tue Aug 06 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2024.6.1-1
- Update to latest version (#2295475)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2024.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jun 26 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2024.6.0-3
- Disable bootstrap build

* Mon Jun 17 2024 Python Maint <python-maint@redhat.com> - 2024.6.0-2
- Rebuilt for Python 3.13

* Fri Jun 14 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2024.6.0-1
- Update to latest version (#2290314)

* Fri Jun 14 2024 Python Maint <python-maint@redhat.com> - 2024.3.1-3
- Bootstrap for Python 3.13

* Sat Apr 27 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2024.3.1-1
- Update to latest version (#2269737)

* Mon Feb 05 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2024.2.0-1
- Update to latest version (#2262714)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2023.12.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2023.12.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 18 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2023.12.2-1
- Update to latest version (#2253017)

* Sun Dec 03 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2023.12.0-1
- Update to latest version (#2252614)

* Mon Nov 20 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2023.10.0-1
- Update to latest version (#2245460)

* Tue Sep 26 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2023.9.2-1
- Update to latest version (#2240265)

* Sat Sep 16 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2023.9.1-1
- Update to latest version (#2239194)

* Sun Sep 03 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2023.9.0-1
- Update to latest version (#2236974)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2023.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 20 2023 Python Maint <python-maint@redhat.com> - 2023.6.0-3
- Rebuilt for Python 3.12

* Mon Jul 10 2023 Python Maint <python-maint@redhat.com> - 2023.6.0-2
- Bootstrap for Python 3.12

* Sun Jun 11 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2023.6.0-1
- Update to latest version (#2213884)

* Sun May 07 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2023.5.0-1
- Update to latest version (#2196051)

* Sun Apr 09 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2023.4.0-1
- Update to latest version (#2185378)

* Sat Apr 08 2023 Miro Hrončok <miro@hroncok.cz> - 2023.3.0-2
- Don't bootstrap distributed forever

* Wed Mar 08 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2023.3.0-1
- Update to latest version (#2175425)

* Sun Feb 19 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2023.1.0-1
- Update to latest version (#2162546)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2022.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Nov 20 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2022.11.0-1
- Update to latest version (#2141492)

* Sun Oct 23 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2022.10.0-1
- Update to latest version (#2136198)

* Mon Oct 17 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2022.8.2-1
- Update to latest version (#2122769)

* Sun Jul 31 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2022.7.1-1
- Update to latest version (#2111962)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2022.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 21 2022 Python Maint <python-maint@redhat.com> - 2022.5.0-5
- Rebuilt for Python 3.11

* Mon Jun 20 2022 Python Maint <python-maint@redhat.com> - 2022.5.0-4
- Bootstrap for Python 3.11

* Mon Jun 20 2022 Miro Hrončok <miro@hroncok.cz> - 2022.5.0-3
- Avoid another dependency loop when bootstrapping

* Fri Jun 17 2022 Miro Hrončok <miro@hroncok.cz> - 2022.5.0-2
- Avoid another dependency loop when bootstrapping

* Mon May 23 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2022.5.0-1
- Update to latest version (#2070717)

* Tue Mar 01 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2022.2.0-1
- Update to latest version (#2057137)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2022.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jan 14 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2022.1.0-1
- Update to latest version (#2039400)

* Sun Dec 19 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2021.11.1-1
- Update to latest version (#2020762)

* Sat Oct 16 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2021.10.1-1
- Update to latest version (#2014568)

* Sat Oct 02 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2021.10.0-1
- Update to latest version (#2009916)

* Fri Sep 24 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2021.9.0-1
- Update to latest version (#2007409)

* Sun Sep 05 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2021.8.1-1
- Update to latest version (#1999671)

* Sun Sep 05 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2021.7.0-4
- Switch to latest Python macros

* Fri Aug 20 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2021.7.0-2
- Backport fix for fsmap.getitems

* Mon Jul 26 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2021.7.0-1
- Update to latest version (#1981808)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2021.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jun 28 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2021.6.1-1
- Update to latest version (#1975030)

* Sat Jun 12 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2021.6.0-1
- Update to latest version (#1968578)

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 2021.5.0-2
- Rebuilt for Python 3.10

* Fri May 14 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2021.5.0-1
- Update to latest version (#1960678)

* Fri Apr 16 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2021.4.0-1
- Update to latest version (#1950557)

* Tue Apr 06 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.9.0-1
- Update to latest version (#1946308)

* Sat Feb 27 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.8.7-1
- Update to latest version (#1931928)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 19 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.8.5-1
- Update to latest version (#1888386)

* Fri Sep 25 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.8.3-1
- Update to latest version (#1882492)

* Fri Sep 11 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.8.2-1
- Update to latest version (#1877896)

* Wed Sep 09 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.8.1-1
- Update to latest version (#1877412)

* Sun Aug 02 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.8.0-1
- Update to latest version

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.7.4-2
- Rebuilt for Python 3.9

* Wed May 20 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.7.4-1
- Update to latest version

* Thu Apr 23 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.7.3-1
- Update to latest version

* Wed Apr 08 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.7.2-1
- Update to latest version

* Fri Mar 27 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.7.0-1
- Update to latest version

* Sun Mar 22 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.6.3-1
- Update to latest version

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 09 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.6.2-1
- Update to latest version

* Fri Nov 29 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.6.1-1
- Update to latest version

* Thu Nov 21 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.6.0-1
- Update to latest version

* Thu Oct 17 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.5.2-1
- Update to latest version

* Sat Sep 28 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.5.1-1
- Update to latest version

* Thu Sep 12 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.4.4-1
- Initial package.

## END: Generated by rpmautospec
